KDE 4.5 PyKDE API Reference

- KDE's Python API

# TreeView Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

TreeView plasma/widgets/treeview.h <Plasma/Widgets/TreeView>

Provides a plasma-themed QTreeView.

## Methods
| __init__ (self, QGraphicsWidget parent=0)
QAbstractItemModel | model (self)
QTreeView | nativeWidget (self)
| setModel (self, QAbstractItemModel model)
| setStyleSheet (self, QString stylesheet)
QString | styleSheet (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

QAbstractItemModel model | ( |  | self ) |

Returns:
  the model shown by this view

QTreeView nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this TreeView

setModel | ( | self, |
|  | QAbstractItemModel | model
| ) |  |  |

Sets a model for this weather view

@arg model the model to display

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this TreeView

@arg stylesheet a CSS string

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget